@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

:root {
  --main: #fff;
  --accent: #000;
  --secacc: #1a1c1c;
}

body {
  box-sizing: border-box;
  overflow-x: hidden;
  padding: 0px;
  margin: 0px;
  background-color: var(--main);
  font-family: "Inter", sans-serif;
}

body.dark {
  box-sizing: border-box;
  overflow-x: hidden;
  padding: 0px;
  margin: 0px;
  background-color: var(--main);
  font-family: "Inter", sans-serif;
  --main: #000000;
  --accent: #fff;
  --secacc: #1a1c1c;
}

nav {
  display: flex;
  justify-content: center;
  padding: 30px;
}

.searchbar {
  display: flex;
  justify-content: center;
  align-items: center;
  border: var(--accent) solid 1px;
  border-bottom: 2px solid var(--accent);
}

.searchbar input {
  border: 0px;
  margin-left: 10px;
  display: flex;
  background-color: var(--main);
  width: 400px;
  height: 30px;
  font-size: 16px;
  font-weight: 500;
  color: var(--accent);
}

.searchbar input:focus {
  outline: none;
}
.darkmode {
  font-size: 20px;
  border: 1px solid var(--accent);
  border-left: none;
  border-bottom: 2px solid var(--accent);
  background-color: transparent;
  border-radius: 0px;
  color: var(--accent);
  padding: 0px 20px;
  height: auto;
}
/*main*/

.main-info {
  display: flex;
  justify-content: space-between;
  padding: 30px;
  box-sizing: border-box;
}

/*important info*/

.important-info {
  width: 60vw;
  border-left: var(--accent) 2px solid;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 24px;
}

.important-info .container {
  display: flex;
}

.important-info .weather-icon-main {
  font-size: 100px;
  color: var(--accent);
  margin-right: 10px;
}

.important-info .main-temp {
  font-size: 100px;
  line-height: 1;
  font-size: 120px;
  font-family: Inter;
  font-weight: 900;
  letter-spacing: -4.8px;
  color: var(--accent);
  margin: 0px;
}

.important-info .description {
  padding-left: 10px;
  color: var(--accent);
}

/*supplimentairy info*/

.suplimentairy-info {
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding: 24px;
  max-width: 400px;
  width: 80%;
  border: var(--accent) 2px solid;
}

.suplimentairy-info .item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: var(--accent) 2px solid;
}

#P {
  border-bottom: 0px;
}

.suplimentairy-info .item h3 {
  color: var(--accent);
  font-weight: 300;
}

h3 {
  color: var(--accent);
}

.item-btn {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 24px 24px 0px 0px;
}

.full-report {
  width: 100%;
  padding: 16px 0px;
  color: var(--main);
  font-size: medium;
  background-color: var(--accent);
  border: 0px;
  cursor: pointer;
}

@media (max-width: 800px) {
  .main-info {
    flex-direction: column;
    gap: 3rem;
  }

  .searchbar {
    width: 80%;
  }

  .important-info .main-temp {
    font-size: 80px;
  }

  .suplimentairy-info {
    width: 80%;
  }
}
